import { isValidEmail } from '..'

it('invalid emails', () => {
  expect(isValidEmail('a')).toBeFalsy()
  expect(isValidEmail('1')).toBeFalsy()
  expect(isValidEmail('a@')).toBeFalsy()
  expect(isValidEmail('a@m')).toBeFalsy()
  expect(isValidEmail('a@m.')).toBeFalsy()
  expect(isValidEmail('a@mail')).toBeFalsy()
  expect(isValidEmail('a@mail.')).toBeFalsy()
  expect(isValidEmail('abcd.mail.com')).toBeFalsy()
})

it('valid emails', () => {
  expect(isValidEmail('a@mail.com')).toBeTruthy()
  expect(isValidEmail('A@MAIL.COM')).toBeTruthy()
  expect(isValidEmail('123@mail.com')).toBeTruthy()
  expect(isValidEmail('A123@mail.com')).toBeTruthy()
  expect(isValidEmail('a.b@mail.com')).toBeTruthy()
  expect(isValidEmail('a-b-c@mail.com')).toBeTruthy()
  expect(isValidEmail('a-b@a-b.com')).toBeTruthy()
})
